Skip to main content
GET
/
invoices
List invoices
curl --request GET \
  --url https://api.example.com/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'x-environment: <x-environment>'
import requests

url = "https://api.example.com/invoices"

headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://api.example.com/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "currency": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memo": "<string>",
  "handle": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date": "2023-12-25",
  "dueDate": "2023-12-25",
  "updatedAt": "2023-11-07T05:31:56Z",
  "totalExclVat": 123,
  "totalVat": 123,
  "totalInclVat": 123
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Query Parameters

filter
string[]

Optional filter(s) to apply. Multiple filters will be combined with 'and'.

orderby
string

Optional column to order by. Defaults to Id.

after
string

Paging token.

limit
integer<int32>
default:20

Optional limit of response. Value between 1 and 100, defaults to 20.

Required range: 1 <= x <= 100

Response

OK

currency
string | null
required
createdAt
string<date-time>
required
customerId
string<uuid>
required
memo
string | null
read-only
handle
string | null
read-only

Unique invoice number.

status
enum<string>
Available options:
draft,
booked
id
string<uuid>
read-only
date
string<date>
read-only
dueDate
string<date> | null
read-only
updatedAt
string<date-time> | null
totalExclVat
integer<int64>
totalVat
integer<int64>
totalInclVat
integer<int64>
type
enum<string>
Available options:
invoice,
credit_note